on:
  push:
  schedule:
    - cron: '0 8 * * 6'

jobs:
  build:
    runs-on: docker

    steps:
      - uses: actions/checkout@v4
        with:
          ref: 'main'

      - name: git setup
        run: |
          git config --local user.name "protogen"
          git config --local user.email "proot@toasters.com"

      - name: download buttons
        run: |
          chmod +x /workspace/synth.download/site/.forgejo/buttons.sh
          bash -c "/workspace/synth.download/site/.forgejo/buttons.sh"

      - name: push updated buttons
        id: github-push
        run: |
          git config pull.rebase true
          git add .
          git diff-index --quiet HEAD || git commit -m "beep~! (updated buttons)"
          git push
